#
# Conditional build:
%bcond_without	osl	# OpenScop support
#
%define	isl_ver	0.14
Summary:	The Chunky Loop Generator
Summary(pl.UTF-8):	Chunky Loop Generator - generator pętli cząstkowych
Name:		cloog-isl
Version:	0.18.3
Release:	2
License:	LGPL v2.1+
Group:		Development/Tools
#Source0:	http://www.bastoul.net/cloog/pages/download/cloog-%{version}.tar.gz
# git clone git://repo.or.cz/cloog.git -b cloog-0.18.3 cloog-0.18.3
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/cloog/cloog-%{version}.tar.gz/a65195e2f1fe1b91826b18a185d82859/cloog-%{version}.tar.gz
# Source0-md5:	a65195e2f1fe1b91826b18a185d82859
URL:		http://www.cloog.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gmp-devel >= 5.0.2
BuildRequires:	gmp-c++-devel >= 5.0.2
BuildRequires:	isl-devel >= %{isl_ver}
BuildRequires:	libtool
%{?with_osl:BuildRequires:	osl-devel}
BuildRequires:	texinfo-texi2dvi
Requires:	%{name}-libs = %{version}-%{release}
Provides:	cloog = %{version}
Obsoletes:	cloog
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CLooG is a software which generates loops for scanning Z-polyhedra.
That is, CLooG finds the code or pseudo-code where each integral point
of one or more parametrized polyhedron or parametrized polyhedra union
is reached. CLooG is designed to avoid control overhead and to produce
a very efficient code.

This version is based on isl.

%description -l pl.UTF-8
CLooG to oprogramowanie generujące pętle do przeszukiwania
Z-wielościanów (Z-polyhedra). Oznacza to, że CLooG znajduje kod lub
pseudokod osiągający każdy punkt całkowity jednego lub większej liczby
sparametryzowanych wielościanów lub sum sparametryzowanych
wielościanów. CLooG jest zaprojektowany z myślą o zapobieganiu
narzutowi na sterowaniu oraz generowaniu bardzo wydajnego kodu.

Ta wersja jest oparta na bibliotece isl.

%package libs
Summary:	Chunky Loop Generator shared library - isl based version
Summary(pl.UTF-8):	Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na isl
Group:		Libraries
Requires:	isl >= %{isl_ver}

%description libs
Chunky Loop Generator shared library - isl based version.

%description libs -l pl.UTF-8
Biblioteka współdzielona Chunky Loop Generatora - wersja oparta na
isl.

%package devel
Summary:	Header files for the isl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Pliki nagłówkowe opartej na isl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gmp-devel >= 5.0.2
Requires:	gmp-c++-devel >= 5.0.2
Requires:	isl-devel >= %{isl_ver}
%{?with_osl:Requires:	osl-devel}
Provides:	cloog-devel = %{version}

%description devel
The header files for Chunky Loop Generator library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Chunky Loop Generatora.

%package static
Summary:	Static library of isl based version of Chunky Loop Generator
Summary(pl.UTF-8):	Statyczna biblioteka opartej na isl wersji Chunky Loop Generatora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library of isl based version of Chunky Loop Generator.

%description static -l pl.UTF-8
Statyczna biblioteka opartej na isl wersji Chunky Loop Generatora.

%prep
%setup -q -n cloog-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
# with_gmp_exec_prefix=yes avoids adding -L/lib to LDFLAGS
%configure \
	--disable-silent-rules \
	--with-gmp-exec-prefix \
	--with-isl=system \
	%{?with_osl:--with-osl=system}

%{__make}

%{__make} -C doc cloog.pdf

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cloog

%files libs
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libcloog-isl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcloog-isl.so.4

%files devel
%defattr(644,root,root,755)
%doc doc/cloog.pdf
%attr(755,root,root) %{_libdir}/libcloog-isl.so
%{_libdir}/libcloog-isl.la
%dir %{_includedir}/cloog
%{_includedir}/cloog/*.h
%{_includedir}/cloog/isl
%{_includedir}/cloog/matrix
%dir %{_libdir}/cloog-isl
%{_libdir}/cloog-isl/cloog-isl-config.cmake
%dir %{_libdir}/isl
%{_libdir}/isl/isl-config.cmake
%{_pkgconfigdir}/cloog-isl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcloog-isl.a
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cloog-isl.git;a=log;h=auto/th/cloog-isl-0.18.3-2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6b23d2f
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 15 2015 Jakub Bogusz <qboosh@pld-linux.org> b781117
- updated to 0.18.3
- removed obsolete missing,git patches

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> cd34f14
- Merge branch 'master' of git://git.pld-linux.org/packages/cloog-isl

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 59f0769
- added missing patch

* Sat Oct 11 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2768d28
- release 3 (by relup.sh)

* Sat Apr 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 0628f0f
- added two git patches needed to work with isl 0.13
- release 2

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 2aa1cad
- updated to 0.18.2

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 920340c
- updated to 0.18.1
- package cmake support files

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 33729bf
- enabled osl (OpenScop) support
- -with-gmp-exec-prefix hack to avoid -L/lib in LDFLAGS

* Sun Dec 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 16fd4db
- updated to 0.18.0 (note: new soname)

* Thu Jul 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 748bb20
- new: isl-based version of cloog (the recommended one)

